Subject: Re: [PATCH net-next 2/2] net: stmmac: Add callbacks for DWC xpcs Energy Efficient Ethernet

From: "Russell King (Oracle)" <[email-masked]>
Date: Mon, 17 May 2021 11:54:24 +0100

On Mon, May 17, 2021 at 05:43:32PM +0800, Michael Sit Wei Hong wrote:
> Link xpcs callback functions for MAC to configure the xpcs EEE feature.
> 
> The clk_eee frequency is used to calculate the MULT_FACT_100NS. This is
> to adjust the clock tic closer to 100ns.
> 
> Signed-off-by: Michael Sit Wei Hong <[email-masked]>

What is the initial state of the EEE configuration before the first
call to stmmac_ethtool_op_set_eee()? Does it reflect the default EEE
settings?

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!